(: Q3. The id, name, email address, income, and age of all persons of age sorted by income and age [filtering and double sorting] :)

let $doc := doc("../documents/auction.xml")
for $p in $doc/site/people/person
where $p/profile/number(age) >= 18
order by number($p/profile/@income), number($p/profile/age)
return 
<person id = "{$p/@id}" income = "{$p/profile/@income}">
  {$p/name}
  {$p/emailaddress}
  {$p/profile/age}
</person>
